apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: hello-spring
  namespace: apps
  annotations:
    kubernetes.io/ingress.class: nginx
    certmanager.k8s.io/cluster-issuer: letsencrypt-prod
spec:
  tls:
    - hosts:
        - hello-spring.k8s.kakuom.com
      secretName: hello-spring-tls-cert
  rules:
    - host: hello-spring.k8s.kakuom.com
      http:
        paths:
          - path: /
            backend:
              serviceName: hello-spring
              servicePort: 8080